Skip to content
Start here

Check top-up status

client.aiGateway.billing.topup.status(TopupStatusParams { account_id, payment_intent_id } params, RequestOptionsoptions?): TopupStatusResponse { payment_intent_id, status }
POST/accounts/{account_id}/ai-gateway/billing/topup/status

Get the payment processing status of a top-up by its invoice ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
params: TopupStatusParams { account_id, payment_intent_id }
account_id: string

Path param: Cloudflare account ID.

payment_intent_id: string

Body param: Stripe invoice ID to check status for.

ReturnsExpand Collapse
TopupStatusResponse { payment_intent_id, status }
payment_intent_id: string
status: "completed" | "pending"
One of the following:
"completed"
"pending"

Check top-up status

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.aiGateway.billing.topup.status({
  account_id: 'account_id',
  payment_intent_id: 'in_1abc',
});

console.log(response.payment_intent_id);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "payment_intent_id": "payment_intent_id",
    "status": "completed"
  },
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "payment_intent_id": "payment_intent_id",
    "status": "completed"
  },
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}